summaryrefslogtreecommitdiffstats
path: root/testing/tvheadend-git/tvheadend-git.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-06-13 12:01:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-06-13 12:01:15 +0000
commit54ec7844771602863802e05fdc837c452d74917c (patch)
tree54742e693f72682b9710826c740fe5c19223c1ef /testing/tvheadend-git/tvheadend-git.initd
parent3a8de4c9a71a2a1ed54ca95a980e857c37616985 (diff)
downloadaports-54ec7844771602863802e05fdc837c452d74917c.tar.bz2
aports-54ec7844771602863802e05fdc837c452d74917c.tar.xz
testing/tvheadend-git: rename dir
Diffstat (limited to 'testing/tvheadend-git/tvheadend-git.initd')
-rw-r--r--testing/tvheadend-git/tvheadend-git.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/testing/tvheadend-git/tvheadend-git.initd b/testing/tvheadend-git/tvheadend-git.initd
new file mode 100644
index 000000000..6a50b9f3f
--- /dev/null
+++ b/testing/tvheadend-git/tvheadend-git.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting tvheadend"
+ start-stop-daemon --start \
+ --user ${TVHUSER} \
+ --exec ${TVHBIN} -- -C -f
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tvheadend"
+ start-stop-daemon --stop --quiet --name tvheadend --signal 2
+ eend $?
+}